PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List pipelines GETCreate a pipeline POSTGet a pipeline GETRename a pipeline PATCHDelete a pipeline DELETEList stages in a pipeline GETCreate a stage POSTUpdate a stage PATCHDelete a stage DELETE
Pipelines

Create a pipeline

POST
/pipelines

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/pipelines" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {    "id": "string",    "workspaceId": "string",    "name": "string",    "stages": [      {        "id": "string",        "pipelineId": "string",        "name": "string",        "color": "string",        "type": "OPEN",        "isNurture": true,        "rank": "string"      }    ]  }}

List pipelines GET

Previous Page

Get a pipeline GET

Next Page

name*string